Bug 215530

Summary: Mk/bsd.port.mk: makesum no longer calls custom do-fetch
Product: Ports & Packages Reporter: Jan Beich <jbeich>
Component: Ports FrameworkAssignee: Baptiste Daroussin <bapt>
Status: Closed FIXED    
Severity: Affects Only Me CC: ports-bugs
Priority: --- Keywords: regression
Version: Latest   
Hardware: Any   
OS: Any   
URL: https://reviews.freebsd.org/D21544

Description Jan Beich freebsd_committer 2016-12-24 01:50:58 UTC
After ports r415842 |make makesum| doesn't try to fetch distfile if the port defined its own do-fetch. For example,

  $ make clean makesum BOOTSTRAP= -C devel/libopenbsd
  $ make clean makesum SVN_FETCH= PORTVERSION=3.0.r4417 -C games/openbor
Comment 1 Baptiste Daroussin freebsd_committer 2019-09-06 08:22:26 UTC
https://reviews.freebsd.org/D21544 should fix it
Comment 2 commit-hook freebsd_committer 2019-09-29 04:16:26 UTC
A commit references this bug:

Author: bapt
Date: Sun Sep 29 04:15:47 UTC 2019
New revision: 513191
URL: https://svnweb.freebsd.org/changeset/ports/513191

Log:
  Reduce code duplication by calling fetch target

  when converting the do-fetch target to proper scripting
  we lost the ability to overwrite do-fetch when running make makesum.
  as reported here: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=

  Let's call again do-fetch directly instead of duplicating its content

  PR:		215530
  Reported by:	jbeich
  Differential Revision:	https://reviews.freebsd.org/D21544

Changes:
  head/Mk/bsd.port.mk
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2020-08-17 03:08:39 UTC
Committed Sep 29 04:15:47 UTC 2019 as r513191.